Get Document Metadata

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.lwolf.com/doc/zipform-api/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "ZipForm API MCP server": {
    "url": "https://apidocs.lwolf.com/doc/zipform-api/mcp"
  }
}

Close
GET /transactions/{transactionId}/documents/{documentId}/meta

Returns the metadata associated with a form or document. For forms, size is always 0. signed values: 0=not signed, 1=Docusign, 2=zipLogix Digital Ink, 3=zipLogix Digital Ink TouchSign.

Path parameters

  • transactionId string(uuid) Required

    Transaction GUID

  • documentId string Required

    Document ID or Form GUID

Responses

  • 200 application/json

    Document metadata returned successfully

    Hide response attributes Show response attributes object
    • id string

      Document ID or Form GUID

    • name string
    • description string
    • contentType string

      form, PDF, doc, etc.

    • version string
    • signed integer

      0=not signed, 1=Docusign, 2=zipLogix Digital Ink, 3=zipLogix Digital Ink TouchSign

    • size integer

      Size in bytes (0 for forms)

  • 401

    Unauthorized

  • 404

    Document not found

GET /transactions/{transactionId}/documents/{documentId}/meta
curl \
 --request GET 'https://ws.zipformplus.com/api/transactions/{transactionId}/documents/{documentId}/meta' \
 --header "X-Auth-ContextId: $API_KEY"
Response examples (200)
{
  "id": "string",
  "name": "string",
  "description": "string",
  "contentType": "string",
  "version": "string",
  "signed": 42,
  "size": 42
}